const navigationBarHeight = (getApp().statusBarHeight + 50) + 'px'
var config = require("../../../config/config.js");
var app = getApp();
const Http = require("../../../utils/HttpBasics");
const util = require("../../../utils/util");
const imgurl = require("../../../utils/imgurl");
Page({
  data: {
    priceAndStockObj: {}, //存放价格和库存
    isGetUser: true, //判断是否授权抖音
    mouldType: 0,
    navigationBarHeight,
    homeSelectedO: imgurl.homeSelectedO.url,
    isshowposter: false, //是否显示分享弹框 
    fenxiang: imgurl.fenxiang1.url,
    fenxiangUrl: imgurl.fenxiang.url,
    clockUrl: imgurl.clock.url,
    yushouUrl: imgurl.yushou.url,
    teljpgUrl: imgurl.teljpg.url,
    closedUrl: imgurl.closed.url,
    quesGouUrl: imgurl.ques_gou.url,
    headbgUrl: imgurl.headbg.url,
    quesBgUrl: imgurl.ques_bg.url,
    close02: imgurl.close02.url,
    share01: imgurl.share01.url,
    fail: imgurl.fail.url,
    wmhome: imgurl.wmhome.url,
    swiperCurrent: 0,
    detailPicture: [],
    coverPicture: [],
    couponList: [],
    data: {
      title: null
    },
    showPage: false,
    questions1: null,
    questions2: null,
    carList: [],
    couponChannelId: null,
    orderId: "",
    hour: null,
    day: null,
    month: null,
    year: null,
    minute: "",
    tempFilePaths: null,
    userInfo: {},
    hasUserInfo: false,
    // canIUse: tt.canIUse('button.open-type.getUserInfo'),
    id: null,
    result: [],
    end_time: null,
    checked: false,
    questionnaire: {},
    questionId: null,
    widthScreen: null,
    moveData: null,
    rotateData: null,
    alphaData: null,
    scaleData: null,
    skewData: null,
    matrixData: null,
    opacity: 0,
    queueData: null,
    zIndex: 11,
    display: "none",
    showbutton: false,
    cardData: null,
    showCardOffer: false,
    isSamePeople: true,
    statusText: '',
    isReceived: false,
    receivedDisabled: false,
    clock: "结束",
    day: "00",
    hour: "00",
    min: "00",
    sec: "00",
    clock02: "00",
    day02: "00",
    hour02: "00",
    min02: "00",
    sec02: "00",
    countdown: "",
    showbutton1: false,
    limitCondition: "",
    minLimit: 0,
    maxLimit: 0,
    dispressEndDate: false,
    barTitle: "",
    activityStatus: "",
    //图文混排
    curHtml: '',
    contentType: 0,
    page: 1, //查询商户优惠券page
    idList: [],
    showBox: false, //手机号授权框
    spuIdObj: {},
    mallTenantId: '',
    mallList: []
  },

  /**
   * 显示分享弹框
   */
  showshare: function () {
    this.setData({
      isshowposter: true,
    })
  },
  getCouponList: function (id) { //获取其他活动
    let that = this;
    let data;
    data = {
      status: 0,
      merchantIds: id,
      pageNum: that.data.page,
      pageSize: 5,
    }
    Http.post({
        url: config.api.listByMerchant,
        data: data
      }).then(res => {
        if (res.data.page.list <= 0) {
          return
        }
        let dataLsit = []
        // dataLsit = that.data.couponList
        dataLsit = res.data.page.list
        dataLsit.map((item, index) => {
          if (item.id == that.data.couponChannelId) {
            dataLsit.splice(index, 1)
          }
        })
        if (that.data.page > 1) {
          let tmpeLsit = that.data.couponList
          tmpeLsit.push(...dataLsit)
          that.setData({
            couponList: tmpeLsit,
          })
        } else {
          that.setData({
            couponList: dataLsit,
          })
        }


        // if (res.data && res.data.qrCode){
        //   that.setData({
        //     qrCode: res.data.qrCode,
        //   })
        // }
      })
      .catch(err => {
        tt.showToast({
          title: err.errMsg,
          icon: 'none',
          duration: 2000,
          mask: false
        });
      })
  },

  setPhone(paramData) { //子组件调用这个方法说明手机号已经授权成功
    this.setData({
      showBox: paramData.detail,
    })
    tt.showToast({
      title: '授权成功', // 内容
      icon: 'none', // 图标
      success: (res) => {

      },
      fail: (res) => {

      },
    });
  },
  setBox(paramData) {
    this.setData({
      showBox: paramData.detail
    })
    tt.showToast({
      title: '取消授权', // 内容
      icon: 'none', // 图标
      success: (res) => {

      },
      fail: (res) => {

      },
    });
  },
  /**
   * 隐藏分享弹框
   */
  hidemodal: function () {
    this.setData({
      isshowposter: false,
    })
  },
  /**
   * 显示分享海报
   */
  /* showPoster: function() {
    //跳转到海报生成页
    console.log(this.data.canIUse)

    // return;
    tt.navigateTo({
      url: `/pages/canvas/index?couponChannelId=${this.data.data.id}`
    })
  }, */
  showPoster: function () {
    //跳转到海报生成页
    let that = this;
    Http.get({
      url: config.api.checkUserStatus,
      data: {
        token: app.globalData.token
      }
    }).then(res => {
      tt.navigateTo({
        url: `/pages/canvas/index?couponChannelId=${that.data.data.id}`
      })
    }).catch(err => {
      console.log(err)
      if (err.code == 11004) {
        // 用户昵称未授权
        tt.redirectTo({
          url: `/pages/getuserinfo/getuserinfo?couponChannelId=${that.data.data.id}&fromflag=poster`
        })
      }
    })

  },
  swiperChange: function (e) {
    this.setData({
      swiperCurrent: e.detail.current
    });
  },
  gohome(e) {
    console.log(e.currentTarget.dataset.id, "123")
    tt.navigateTo({
      url: `/pages/fillIndent/fillIndent?couponChannelId=${e.currentTarget.dataset.couponchannelid}&couponId=${e.currentTarget.dataset.couponid}&shippingtype=${e.currentTarget.dataset.shippingtype}`,
    })
  },

  gochild(e) {
    let id = e.currentTarget.dataset.id
    tt.navigateTo({
      url: `/pages/coupon/childDetail/childDetail?couponIds=${id}`,
    })
  },
  //获取当前登录用户信息
  getUserInfo: function () {
    let that = this;
    // 获取用户信息
    Http.get({
        url: config.api.getScore,
        data: {}
      })
      .then(res => {
        console.log(res)
        that.getQueryCardStatus()
        if (that.data.cardData.cuserId != res.data.id) {
          console.log(2222, 6666)
          that.setData({
            isSamePeople: false
          })
        }
      })
  },
  //获取卡转赠状态
  getQueryCardStatus() {
    let that = this;
    let param = {
      id: this.data.cardData.couponOrderId,
      cUserId: this.data.cardData.cuserId,
      updateDate: util.formatTime(Number(that.data.cardData.updateDate), "yyyy-MM-dd hh:mm:ss")
    }
    Http.get({
        url: config.api.queryCardStatus,
        data: param
      })
      .then(res => {
        console.log(res, 333333333333)
      })
      .catch(err => {
        that.setData({
          isReceived: true,
          statusText: err.message
        })
      })
  },
  receiveCard() {
    let that = this;
    let param = {
      id: this.data.cardData.couponOrderId,
      cUserId: this.data.cardData.cuserId,
      updateDate: util.formatTime(Number(this.data.cardData.updateDate), "yyyy-MM-dd hh:mm:ss")
    }

    this.setData({
      receivedDisabled: true
    })
    Http.post({
        url: config.api.cardAccept,
        data: param
      })
      .then(res => {
        tt.showToast({
          title: '领取成功！',
          icon: 'none',
          duration: 2000,
          mask: false
        });
        tt.reLaunch({
          url: '/pages/complete/index?couponOrderId=' + this.data.cardData.couponOrderId,
        })
      })
      .catch(err => {
        tt.showToast({
          title: err.message,
          icon: 'none',
          duration: 2000,
          mask: false
        });
        that.setData({
          receivedDisabled: false
        })
      })
  },
  closeAlert() {
    this.setData({
      showCardOffer: false
    })
  },
  goback: function () {
    tt.reLaunch({
      url: '/index/index',
    })
  },
  /**
   * 点击提交问题单选
   */
  formSubmit: function (e) {
    console.log(e);
    let that = this;
    /**
     * 多选
     */
    if (e.currentTarget.dataset.flags == 'multi') {
      if (that.data.anwserId.length == 0) {
        var answserIs = null
      } else {
        var answserIs = that.data.anwserId.join(",");
      }
    } else if (e.currentTarget.dataset.flags == 'single') {
      var answserIs = e.detail.value;
    }
    console.log(answserIs)
    console.log(e.currentTarget.dataset.questionid)
    Http.post({
        url: config.api.answerQuestion,
        data: {
          answer: answserIs,
          questionId: e.currentTarget.dataset.questionid
        }
      })
      .then(res => {
        that.closeQuestion();
      })
      .catch(err => {
        tt.showToast({
          title: err.message,
          icon: 'none',
          duration: 2000,
          mask: false
        });
      })
  },
  /**
   * 多选
   */
  checkboxChange: function (e) {
    console.log(e)
    this.setData({
      anwserId: e.detail.value
    })
  },

  closeQuestion: function () {
    let that = this;
    that.setData({
      display: "none",
      zIndex: 11,
      opacity: 0
    })
    setTimeout(function () {
      that.orderFunc();
    }, 500)
  },
  ifGetUser() {
    Http.get({
      url: config.api.checkUserStatus,
      data: {
        token: app.globalData.token
      }
    }).then(res => {}).catch(err => {
      if (err.code == 11004) {
        this.setData({
          isGetUser: false
        })
      }
    })
  },

  gotopay: function (e) {
    tt.navigateTo({
      url: `/pages/coupon/confirmation/confirmation?couponChannelId=${this.data.couponChannelId}&mallTenantId=${this.data.mallTenantId}`,
    })
    return
  },

  setIntervalTime(end_time) {
    let that = this;
    var EndTime = end_time;
    var NowTime = new Date().getTime();
    var total_micro_second = EndTime - NowTime || [];
    // 渲染倒计时时钟
    let obj = that.dateformat(total_micro_second);
    if (total_micro_second > 0) {
      that.setData({
        clock: obj,
        day: obj.a1,
        hour: obj.b1,
        min: obj.c1,
        sec: obj.d1,
      })
    } else {
      that.setData({
        clock: "00",
        day: "00",
        hour: "00",
        min: "00",
        sec: "00",
      })
      //如果倒计时结束，需要重新查询一下券的状态
      // 给getDetail一个标识 
      that.getDetail(that.data.couponChannelId, 'endclock');
    }
    total_micro_second -= 1000;
  },
  countdown: function (end_time) {
    let that = this;
    that.setIntervalTime(end_time);
    that.data.setInterval = setInterval(function () {
      that.setIntervalTime(end_time);
    }, 1000)
  },
  // 时间格式化输出，如11:03 25:19 每1s都会调用一次
  dateformat(micro_second) {
    // 总秒数
    var second = Math.floor(micro_second / 1000);
    // 天数
    var day = Math.floor(second / 3600 / 24) < 10 ? "0" + Math.floor(second / 3600 / 24) : Math.floor(second / 3600 / 24);
    // 小时
    var hr = Math.floor(second / 3600 % 24) < 10 ? "0" + Math.floor(second / 3600 % 24) : Math.floor(second / 3600 % 24);
    // 分钟
    var min = Math.floor(second / 60 % 60) < 10 ? "0" + Math.floor(second / 60 % 60) : Math.floor(second / 60 % 60);
    // 秒
    var sec = Math.floor(second % 60) < 10 ? "0" + Math.floor(second % 60) : Math.floor(second % 60);

    // return day + "天" + hr + "小时" + min + "分钟" + sec + "秒";
    return {
      a1: day,
      b1: hr,
      c1: min,
      d1: sec
    }
  },
  /**
   * 获取用户信息
   */
  onLoad(options) {
    console.log(options, 'options');
    if (options.mallTenantId || options.tenantId) {
      this.setData({
        mallTenantId: options.mallTenantId || options.tenantId,
      })
    }


    this.setData({
      mouldType: app.globalData.mouldType,
    })
    let that = this;
    if (options.g) {
      app.globalData.havePlayEd1 = true;
    }
    tt.showLoading({
      title: "加载中..."
    });
    that.setData({
      onshow: false
    })
    if (options && (options.couponChannelId || options.couponIds)) {

      if (options.couponIds) {
        this.setData({
          couponIds: options.couponIds
        })
        that.getDetail(options.couponIds, 'notendclock');
      } else {
        that.getDetail(options.couponChannelId, 'notendclock');
        that.getSupId(options.couponChannelId)
      }


    }
    /**
     * 转赠判断
     */
    if (options.cuserId) {
      this.setData({
        showCardOffer: true,
        cardData: options
      })
      this.getUserInfo()
    }
    that.setData({
      couponChannelId: options.couponChannelId,
      title: that.data.data.title ? that.data.data.title : '',
    });
    if (options.cardType) {
      that.setData({
        cardType: options.cardType
      })
    }
  },
  getHtml(couponChannelId) {
    Http.get({
      url: config.api.couponHtmlDetail,
      data: {
        couponChannelId: couponChannelId
      }
    }).then(res => {
      console.log(res)
      if (res.code == 200 && res.data.html) {
        this.setData({
          curHtml: decodeURI(res.data.html)
        })
        app.globalData.curHtml = this.data.curHtml;
        console.log(app.globalData.curHtml)
      }
    })
  },
  getSupId(id) {
    Http.get({
      url: config.api.getSpuid,
      data: {
        id: id,
        mallTenantId: this.data.mallTenantId || ''
      }
    }).then(res => {
      if (res.data) {
        this.setData({
          spuIdObj: res.data
        })
      }
    }).catch(err => {
      // tt.showToast({
      //   title: err.message,
      //   icon: 'none',
      //   duration: 2000,
      //   mask: false
      // });
    })
  },

  getCouponPriceAndStock(couponChannelId) { //获取券价格与库存
    Http.get({
      url: config.api.couponPriceAndStock,
      data: {
        couponChannelId,
        mallTenantId: this.data.mallTenantId || ''
      }
    }).then(res => {
      let tempBoj = JSON.parse(res.data)
      console.log(tempBoj, "$");
      this.setData({
        priceAndStockObj: tempBoj
      })
    })
  },
  getCouponMerchant(couponChannelId) { //获取适用门店
    Http.get({
      url: config.api.couponMerchant,
      data: {
        couponChannelId: couponChannelId,
        mallTenantId: this.data.mallTenantId || ''
      }
    }).then(res => {
      const keys = Object.keys(res.data)
      const mallList = []
      let i = 0
      keys.forEach(item => {
        const arr = item.split('|')
        const obj = {
          tenantId: arr[0],
          mallName: arr[1],
          merchantVoList: res.data[item],
          expand: false
        }
        if (i == 0) {
          obj.expand = true
        }
        mallList.push(obj)
        i++
      })
      this.setData({
        mallList: mallList
      })
    })
  },

  getDetail: function (couponChannelId, flag) {
    let that = this;
    let data = {};
    that.getCouponMerchant(couponChannelId); //获取适用门店
    that.getCouponPriceAndStock(couponChannelId); //获取券价格和库存

    if (that.data.couponIds) {
      data.couponId = couponChannelId
    } else {
      data.couponChannelId = couponChannelId
    }
    if (that.data.mallTenantId) {
      data.mallTenantId = that.data.mallTenantId
    }
    var parmer = {
      url: config.api.newCouponDetail,
      data: data
    };
    Http.get(parmer)
      .then(res => {
        //aaa
        if (res.data.contentType != undefined && res.data.contentType == 1) {
          //获取图文展示详情html
          this.setData({
            contentType: res.data.contentType
          })
          this.getHtml(couponChannelId);
        }
        that.setData({
          couponId: res.data.couponId
        })
        that.setData({
          showPage: true
        })
        if (res && res.data && res.data.detailPicture) {
          that.setData({
            detailPicture: JSON.parse(res.data.detailPicture)
          })
        }
        if (res && res.data && res.data.coverPicture) {
          that.setData({
            coverPicture: JSON.parse(res.data.coverPicture)
          })
        }
        if (res && res.data && res.data.conditions) {
          that.setData({
            limitCondition: JSON.parse(res.data.conditions).type
          })
          if (JSON.parse(res.data.conditions).type == 2 && (JSON.parse(res.data.conditions).min || JSON.parse(res.data.conditions).min == 0)) {
            that.setData({
              minLimit: JSON.parse(res.data.conditions).min
            })
          }
          if (JSON.parse(res.data.conditions).type == 2 && (JSON.parse(res.data.conditions).max) || JSON.parse(res.data.conditions).max == 0) {
            that.setData({
              maxLimit: JSON.parse(res.data.conditions).max
            })
          }
        }
        /**
         * 将优惠券优惠卡的详情的BarTitle
         * 设置成券的名称
         */
        // tt.setNavigationBarTitle({
        //   title: res.data.title
        // })
        that.setData({
          barTitle: res.data.title
        })
        tt.setNavigationBarTitle({
          title: res.data.title,
          success() {
            console.log("setNavigationBarTitle 调用成功");
          },
          fail(res) {
            console.log(`setNavigationBarTitle 调用失败:`, res.errMsg);
          },
        });
        var EndTime = res.data.validStartDate;
        var NowTime = new Date().getTime();

        /**
         * activityStatus==0 活动未开始
         * activityStatus==1 活动已开始
         * flag == endclock 说明倒计时已经结束
         */
        if (res.data.endTime && res.data.beginTime) {
          that.setData({
            begin_time: res.data.beginTime,
            end_time: res.data.endTime,
            activityStatus: res.data.actStatus ? res.data.actStatus : ''
          })
          if (res.data.actStatus == 0 && flag != 'endclock') {
            that.countdown(res.data.beginTime);
          } else if (res.data.actStatus != 0 && flag != 'endclock') {
            that.countdown(res.data.endTime);
          } else {
            clearInterval(that.data.setInterval)
          }
          if (res.data.actStatus == 0) {
            var beginTime = util.formatTime(res.data.beginTime, "yyyy-MM-dd hh:mm:ss");
            if (util.timechuo(beginTime).indexOf('-') == 0) {
              that.setData({
                beginTime: "活动已结束",
              });
            } else {
              that.setData({
                beginTime: util.timechuo(beginTime)
              });
            }
          } else {
            var endTime = util.formatTime(res.data.endTime, "yyyy-MM-dd hh:mm:ss");
            if (util.timechuo(endTime).indexOf('-') == 0) {
              that.setData({
                endtime: "活动已结束",
              });
            } else {
              that.setData({
                endtime: util.timechuo(endTime)
              });
            }
          }
        }
        tt.hideLoading();
        that.setData({
          data: res.data,
        });
        if (res.data.type == 10) {
          that.setData({
            salePriceStr: res.data.salePriceStr,
            pickEndDate: util.formatTime(res.data.pickEndDate, "yyyy-MM-dd"),
            pickStartDate: util.formatTime(res.data.pickStartDate, "yyyy-MM-dd"),
            priceStr: res.data.priceStr,
            tailPriceStr: res.data.tailPriceStr,
            origPriceStr: res.data.origPriceStr
          })
        }
        if (res.data.validType == 1) {
          that.setData({
            validStartDate: util.formatTime(res.data.validStartDate, "yyyy-MM-dd"),
            validEndDate: util.formatTime(res.data.validEndDate, "yyyy-MM-dd"),
            pickStartDate: util.formatTime(res.data.pickStartDate, "yyyy-MM-dd"),
            pickEndDate: util.formatTime(res.data.pickEndDate, "yyyy-MM-dd"),
          });
        } else {
          if (res.data.validDays) {
            that.setData({
              validDays: res.data.validDays
            });
          }
        }



        if (res.data.itemGroup) {
          let tempObj = this.data.data
          tempObj.itemGroup = JSON.parse(tempObj.itemGroup)
          this.setData({
            data: tempObj
          })
          console.log(this.data.data, "data");
        }

        if (res.data.productAttrs && res.data.skuAttrs) {
          let tempObj = this.data.data
          tempObj.productAttrs = JSON.parse(tempObj.productAttrs)
          tempObj.skuAttrs = JSON.parse(tempObj.skuAttrs)
          tempObj.productAttrs.map(item => {
            if (item.key == "appointment") {
              let tempAppoinObj = JSON.parse(item.data)
              if (tempAppoinObj.need_appointment) {
                let subscribeSing = "";
                if (tempAppoinObj.ahead_time_type == 1) {
                  subscribeSing = `需提前${tempAppoinObj.ahead_day_num}天致电商家预约`
                } else if (tempAppoinObj.ahead_time_type == 2) {
                  subscribeSing = `需提前${tempAppoinObj.ahead_hour_num}小时致电商家预约`
                } else if (tempAppoinObj.ahead_time_type == 3) {
                  subscribeSing = `需提前${tempAppoinObj.ahead_minute_num}分钟致电商家预约`
                }
                tempObj.subscribeSing = subscribeSing
              }

            }
            if (item.key == "Notification") {
              if (item.data != '') {
                tempObj.curLsit = JSON.parse(item.data)
              }
            }
            if (item.key == "bring_out_meal") {
              tempObj.besides = item.data
            }
            if (item.key == "free_pack") {
              tempObj.pack = item.data
            }

            if (item.key == "superimposed_discounts") {
              tempObj.superimposed_discounts = item.data
            }
            if (item.key == "private_room") {
              tempObj.private_room = item.data
            }
            if (item.key == "rec_person_num_max") {
              tempObj.rec_person_num_max = item.data
            }


            if (item.key == 'Description') {
              tempObj.Description = JSON.parse(item.data)
            }
            if (item.key == "can_no_use_date") {
              tempObj.can_no_use_date = JSON.parse(item.data)
            }
          })
          tempObj.skuAttrs.map(item => {
            if (item.key == "commodity" && item.data) {
              tempObj.itemGroup = JSON.parse(item.data)
            }
          })
          this.setData({
            data: tempObj
          })
          console.log(this.data.data, "data");
          const mallTenantId = this.data.data.tenantId
          tt.setStorageSync('mallTenantId', mallTenantId)
        }
      }).catch(err => {
        tt.showToast({
          title: err.message,
          icon: 'none',
          duration: 2000,
          mask: false
        });
      })
  },
  /**
   * 邀请好友继续砍价
   */
  inviteFriend: function (e) {
    let that = this;
    let formId = e.detail.formId;
    that.setData({
      formId: formId,
      showbutton1: true
    })
    that.orderFunc("discount");
  },
  /**
   * 支付订单更新
   */
  payOrderUpdate: (orderId, payOrderId, status, reason, type, _this, composeOrderType) => {
    let that = this;
    // 支付成功
    Http.post({
        url: config.api.payOrderUpdate,
        data: {
          payOrderId: payOrderId,
          composeOrderId: orderId,
          status: status,
          reason: reason,
          mallTenantId: this.data.mallTenantId || ''
        }
      })
      .then(res => {
        tt.hideLoading()
        // 有价券
        if (!type && type != 'free') {
          tt.navigateTo({
            url: `/pages/order/detail/index?orderId=${orderId
              }`
          });
        } else if (type == 'free') {
          tt.navigateTo({
            url: `/pages/order/detail/index?orderId=${orderId
              }`
          });
        }
      })
      .catch(err => {
        console.log(err);
        if (!type) {
          setTimeout(function () {
            _this.payOrderUpdate(orderId, payOrderId, status, reason, type, _this, composeOrderType);
          }, 2000)
        }
      })
  },
  checkPhoneStatus: function () {
    let that = this;
    Http.get({
        url: config.api.checkPhoneStatus,
        data: {}
      })
      .then(res => {
        console.log(666, '授权成功！')
        that.receiveCard()
      })
      .catch(err => {
        if (err.code == 11005) {
          /**
           * 手机号没有授权，将值传到用户手机号授权的页面
           *
           */
          tt.redirectTo({
            url: "/pages/getphoneInfo/index?path=index&cuserId=" + that.data.cardData.cuserId + "&couponChannelId=" + that.data.cardData.couponChannelId + "&userName=" + that.data.cardData.userName + "&coverImg=" + that.data.cardData.coverImg + "&avatarUrl=" + that.data.cardData.avatarUrl + "&couponOrderId=" + that.data.cardData.couponOrderId + "&updateDate=" + that.data.cardData.updateDate
          });
        } else if (err.code == 11006) {
          // 用户手机已加密
          tt.redirectTo({
            url: "/pages/phoneinput/phoneinput?path=index&cuserId=" + that.data.cardData.cuserId + "&couponChannelId=" + that.data.cardData.couponChannelId + "&userName=" + that.data.cardData.userName + "&coverImg=" + that.data.cardData.coverImg + "&avatarUrl=" + that.data.cardData.avatarUrl + "&couponOrderId=" + that.data.cardData.couponOrderId + "&updateDate=" + that.data.cardData.updateDate,
          });
        } else {
          tt.showToast({
            title: err.message,
            icon: 'none',
            duration: 2000,
            mask: false
          });
        }
      })
  },
  // 券包支付

  /**
   * 发起支付
   */
  orderFunc(discount) {
    tt.navigateTo({
      url: `/pages/coupon/confirmation/confirmation?couponChannelId=${this.data.couponChannelId}`,
    })
    // return


  },
  // 获得未支付的订单
  getUnPaidOrder(couponId) {
    let that = this;
    Http.get({
      url: config.api.getUnPaidOrder,
      data: {
        couponId: couponId
      }
    }).then(res => {
      that.setData({
        disOrderNumber: res.data.orderNumber,
        composeOrderType: res.data.composeOrderType
      })

      if (res.data && res.data.pressEndDate) {
        that.setData({
          dispressEndDate: true
        })
      } else {
        that.setData({
          dispressEndDate: false
        })
      }
      if (that.data.dispressEndDate) {
        tt.showModal({
          title: '提示',
          content: "您有未支付订单,请到“我的-我的砍价”进行支付",
          confirmText: "我的砍价",
          success: function (res) {
            if (res.confirm) {
              tt.navigateTo({
                url: `/pages/bargain/bargainDatail/bargainDatail?orderId=${that.data.disOrderNumber}&composeOrderType=${that.data.composeOrderType}`,
              })
            }
          }
        })
      } else {
        tt.showModal({
          title: '提示',
          content: '您有未支付订单,请先进行支付',
          confirmText: "去支付",
          success: function (res1) {
            if (res1.confirm) {

              if (that.data.composeOrderType > 0) { //券包
                tt.navigateTo({
                  url: `/pages/order/detail/index?orderId=${res.data.composeOrderId}`,
                })
              } else {
                tt.navigateTo({
                  url: `/pages/order/detail/index?orderId=${res.data.composeOrderId}`,
                })
              }

            }
          }
        })
      }
    }).catch(error => {
      tt.showToast({
        title: error.message,
        icon: "none",
        duration: 3000
      })
    })
  },


  onShow() {
    this.ifGetUser() //判断是否授权抖音
    this.setData({
      mouldType: app.globalData.mouldType,
      showbutton: false,
      showbutton1: false
    })
    if (this.data.end_time && this.data.activityStatus != 0) {
      this.countdown(this.data.end_time)
    } else if (this.data.begin_time && this.data.activityStatus == 0) {
      this.countdown(this.data.begin_time)
    }
  },
  onUnload: function () {
    let that = this;
    clearInterval(that.data.setInterval)
  },
  onHide: function () {
    let that = this;
    clearInterval(that.data.setInterval)
  },
  onShareAppMessage: function (options) {
    app.globalData.previewFlag = true
    var that = this;
    console.log(options)
    var shareObj = {
      title: that.data.data.title,
      path: `/pages/index/index?couponChannelId=${that.data.couponChannelId}`,
      success: function (res) {
        if (res.errMsg == 'shareAppMessage:ok') {}
      },
      fail: function (err) {
        // if (err.errMsg == 'shareAppMessage:fail cancel') { } else if (err.errMsg == 'shareAppMessage:fail') { }
      }
    };
    // 来自页面内的按钮的转发
    if (options.from == 'button' && options.channel != 'video') {
      var eData = options.target.dataset.id;
      shareObj.path = `/pages/index/index?couponChannelId=${eData}&frommd=JC`;

    } else
    if (options.channel == 'video') {
      // return {
      // channel: 'video',   // 必写 video
      // 　　　　templateId: '',　　　// 分享的模版 id （如果未设置就是默认，下面会说如何设置）
      // title: `${that.data.barTitle}`,　　　　　// 分享的标题
      // desc: `${that.data.data.dyTitle}`,　　　　　// 分享的内容介绍目前没有用
      // 　　　　path: `/pages/index/index`,　　// 分享的路径
      // extra: {
      //     videoTopics: [ that.data.data.dyTitle] // 只有抖音才会有的属性
      // },
      // }
      shareObj.channel = 'video';
      shareObj.title = `${that.data.data.title}`;
      shareObj.extra = {
        spu_id: that.data.spuIdObj.spuId
      }
    }
    console.log(shareObj)

    // 返回shareObj
    return shareObj;
  },


  //   onShareAppMessage: function(e) {
  //     console.log("onShareAppMessage", e);
  //     return {
  //         channel: 'video',
  //         title: "测试小程序分享",
  //         desc: "这是默认的分享文案，用户可以直接发送，也可以在发布器内修改",
  //         extra: {
  //             spu_id:"7091460633887279111"    //开发者在抖音开放平台设置的商品id
  //         },
  //         success: function(e) {
  //             console.log("分享成功");
  //         },
  //         fail: function(e) {
  //             console.log(e,"分享成功失败")
  //         }
  //     };
  // },

  // 下拉刷新
  onPullDownRefresh: function () {
    this.getDetail(this.data.couponChannelId);
    tt.stopPullDownRefresh()
  },
  onReachBottom: function () {
    this.setData({
      page: this.data.page + 1
    })

    if (this.data.idList.length > 0) {
      this.getCouponList(this.data.idList)
    }
  }
});